/**
 * @author claude
 * @date 2020/04/26
 * @description 注册工厂函数
 */

import shape from './shape/exports';
import behavior from './behavior/exports';
import registerEdges from './shape/edges/base-edge';
import G6 from '@antv/g6';

export default( g6:typeof G6) => {
  // 注册图形
  shape(g6);
  // 注册行为
  behavior(g6);
  // 注册边
  registerEdges(g6);
};
